#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	RsyncP
Summary:	File::RsyncP - Perl implementation of an rsync client
Summary(pl.UTF-8):	File::RsyncP - implementacja klienta rsync w Perlu
Name:		perl-File-RsyncP
Version:	0.70
Release:	9
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/C/CB/CBARRATT/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f244372d15a2991b8700f62e73ac51e4
URL:		http://search.cpan.org/dist/File-RsyncP/
BuildRequires:	perl-Encode
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::RsyncP is a Perl implementation of an rsync client. It can send
or receive files, either by running rsync on the remote machine, or
connecting to an rsyncd daemon on the remote machine.

File::RsyncP seperates all file system I/O into a seperate module
(File::RsyncP::FileIO), which can be replaced by any module of your
own design. This allows rsync interfaces to non-filesystem data types
(eg: databases) to be developed with relative ease.

File::RsyncP does not yet provide a command-line interface that mimics
native rsync. Instead it provides an API that makes it possible to
write simple scripts that talk to rsync or rsyncd.

%description -l pl.UTF-8
File::RsyncP jest implementacją klienta rsync w Perlu. Umożliwia
wysyłanie i pobieranie plików, zarówno przez uruchomionego zdalnie
klienta rsync jak i przez połączenie z demonem rsyncd na zdalnej
maszynie.

Wszystkie operacje wejścia/wyjścia na systemie plików zostały
wyodrębnione do oddzielnego modułu (File::RsyncP::FileIO), który może
być zastąpiony przez inny moduł własnego projektu. Umożliwia to w
miarę proste tworzenie interfejsów do rsynca, które nie operują na
systemie plików a np. na bazach danych.

File::RsyncP nie udostępnia jeszcze interaktywnego interfejsu
naśladującego linię poleceń programu rsync. W zamian udostępnia API,
umożliwiające pisanie prostych skryptów do komunikacji z rsync
i rsyncd.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} -j1

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/File/RsyncP.pm
%dir %{perl_vendorarch}/File/RsyncP
%{perl_vendorarch}/File/RsyncP/*.pm
%dir %{perl_vendorarch}/auto/File/RsyncP
%dir %{perl_vendorarch}/auto/File/RsyncP/Digest
%dir %{perl_vendorarch}/auto/File/RsyncP/FileList
%attr(755,root,root) %{perl_vendorarch}/auto/File/RsyncP/*/*.so
%{_mandir}/man3/*
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-RsyncP.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 0bc6b1d
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 3dc9d8a
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> f711ca1
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 07c4172
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> de65fc8
- x32 rebuild
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2c178c3
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8851a23
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ca5eacc
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> b5a66d5
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> d742990
- BR: perl-Encode

* Wed Oct 13 2010 Artur Frysiak <artur@frysiak.net> 28ece8c
- working URL for Source0

* Sat Aug 14 2010 areq <areq@pld-linux.org> a94fb65
- 0.70

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3d82c65
- release 4

* Wed Apr 02 2008 areq <areq@pld-linux.org> f6a76d0
- rel 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e734e9f
- rel 2

* Sun Nov 25 2007 areq <areq@pld-linux.org> 1c2af5f
- Rel 1

* Wed Apr 11 2007 Jakub Bogusz <qboosh@pld-linux.org> 49d49f6
- generic URL

* Wed Apr 11 2007 areq <areq@pld-linux.org> 5381ed0
- 0.68

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 93e3e00
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8585159
- converted to UTF-8

